
QGIS Application - Bug report #15263

Customization: Tools selected with the widget catcher are kept selected even if the dialog is 

cancelled

2016-07-12 09:39 AM - Harrissou Santanna

Status: Open

Priority: Normal

Assignee:

Category: Customisation Framework

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23199

Description

menu Options --> Customization --> Enable Customization

Select the widget catcher and click on some tools in the GUI.

Now cancel the dialog, or close it or uncheck "Enable Customization" 

The selected tools are still colored instead of getting back their original background.

I think that closing the dialog should abort the customization process and thus the effects of the widget catcher.

History

#1 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2018-02-27 07:07 PM - Harrissou Santanna

- Affected QGIS version changed from 2.14.3 to 3.0.0

- Description updated

#3 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

#4 - 2019-03-09 03:31 PM - Giovanni Manghi

- Resolution deleted (end of life)

- Status changed from Closed to Open
